Python
import os
from meibel import MeibelClient
client = MeibelClient(api_key=os.environ["MEIBEL_API_KEY"])
response = client.metadata_model_catalog.list()
for model in response.models:
print(f"{model.model_id}: {model.name} ({model.scope})")import { MeibelClient } from "meibel";
const client = new MeibelClient({ apiKey: process.env.MEIBEL_API_KEY });
const response = await client.metadataModelCatalog.list();
for (const model of response.models) {
console.log(`${model.modelId} (${model.scope}): ${model.name}`);
}package main
import (
"context"
"fmt"
"os"
"github.com/meibel-ai/meibel-go/v2"
)
func main() {
client := v2.NewClient(v2.WithAPIKey(os.Getenv("MEIBEL_API_KEY")))
resp, err := client.MetadataModelCatalog.List(context.Background())
if err != nil {
panic(err)
}
for _, model := range resp.Models {
fmt.Printf("%s (%s): %d fields\n", model.Name, model.ModelID, len(model.Fields))
}
}curl --request GET \
--url https://api.meibel.ai/v2/metadata-model-catalog \
--header 'Meibel-API-Key: <api-key>'const options = {method: 'GET', headers: {'Meibel-API-Key': '<api-key>'}};
fetch('https://api.meibel.ai/v2/metadata-model-catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"models": [
{
"model_id": "<string>",
"name": "<string>",
"scope": "<string>",
"fields": [
{
"name": "<string>",
"description": "<string>",
"index": true
}
],
"description": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Metadata model catalog
List Metadata Model Catalog
GET
/
metadata-model-catalog
Python
import os
from meibel import MeibelClient
client = MeibelClient(api_key=os.environ["MEIBEL_API_KEY"])
response = client.metadata_model_catalog.list()
for model in response.models:
print(f"{model.model_id}: {model.name} ({model.scope})")import { MeibelClient } from "meibel";
const client = new MeibelClient({ apiKey: process.env.MEIBEL_API_KEY });
const response = await client.metadataModelCatalog.list();
for (const model of response.models) {
console.log(`${model.modelId} (${model.scope}): ${model.name}`);
}package main
import (
"context"
"fmt"
"os"
"github.com/meibel-ai/meibel-go/v2"
)
func main() {
client := v2.NewClient(v2.WithAPIKey(os.Getenv("MEIBEL_API_KEY")))
resp, err := client.MetadataModelCatalog.List(context.Background())
if err != nil {
panic(err)
}
for _, model := range resp.Models {
fmt.Printf("%s (%s): %d fields\n", model.Name, model.ModelID, len(model.Fields))
}
}Authorizations
Query Parameters
Response
Successful Response
List of available metadata-extraction models in the catalog.
Catalog entries visible to the caller, filtered by the optional scope query param
Show child attributes
Show child attributes
Was this page helpful?
⌘I